<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (c) 2021 PSMForums. All rights reserved.
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<androidx.cardview.widget.CardView
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_marginHorizontal="8dp"
    android:layout_marginVertical="4dp"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/constraintLayout_container"
        style="@style/Buttonized"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <TextView
            android:id="@+id/textView_title"
            style="@style/HeadlineItemText"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_margin="8dp"
            android:ellipsize="end"
            android:maxLines="3"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/imageView_image"
            app:layout_constraintTop_toBottomOf="@+id/textView_info"
            app:layout_constraintVertical_bias="0.0"
            tools:text="Title" />

        <TextView
            android:id="@+id/textView_info"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="8dp"
            android:layout_marginTop="8dp"
            android:ellipsize="end"
            android:maxLines="1"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@+id/imageView_star"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="Info" />

        <ImageView
            android:id="@+id/imageView_image"
            android:layout_width="120dp"
            android:layout_height="120dp"
            android:visibility="visible"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/imageView_star"
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:layout_marginStart="8dp"
            android:backgroundTint="@android:color/transparent"
            android:src="@drawable/ic_star_yellow"
            android:visibility="gone"
            tools:visibility="visible"
            app:layout_constraintBottom_toBottomOf="@+id/textView_info"
            app:layout_constraintStart_toEndOf="@+id/imageView_image"
            app:layout_constraintTop_toTopOf="@+id/textView_info" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</androidx.cardview.widget.CardView>